#!/usr/local/bin/perl

#######################################################################
#                                                                     #
#    This entire package is Copyright 2003 Kryptronic, Inc. and is    #
#    distributed under license. View the license agreement for more   #
#    information.  Installation of this software package indicates    #
#    acceptance of the license agreement.                             #
#                                                                     #
#    Software Version:  5.1.0 (tiki)                                  #
#    Package Date:      July 30, 2003                                 #
#    Author:            Nick Hendler, Webmaster, Kryptronic, Inc.     #
#    Author Email:      webmaster@kryptronic.com                      #
#                                                                     #
#######################################################################

#########
######### Edit the following paths and URLs to set up this
######### software package to execute properly.
#########
######### The server_*_path variables are the paths to the different
######### components of this software package.  Enter below the paths
######### to the 'cgi-bin', 'data' and 'media' directories.
######### These are server paths and not URLs.
#########

$server_script_path = "/usr/home/cwluherstory/CWLUMarket/ccp51/cgi-bin";
$server_data_path = "/usr/home/cwluherstory/CWLUMarket/ccp51/data";
$server_media_path = "/usr/home/cwluherstory/CWLUMarket/ccp51/media";

#########
######### The url_*_path variables are the paths to the different
######### compontents of this software package.  Enter below the paths
######### to the 'cgi-bin' and 'media' directories.
######### These are URL paths and should be entered with a 'http'.
#########

$url_script_path = "http://www.cwluherstory.org/CWLUMarket/ccp51/cgi-bin";
$url_media_path = "http://www.cwluherstory.org/CWLUMarket/ccp51/media";

#######################################################################
# Do Not Edit Below This Line                                         #
#######################################################################

if ((-e "$server_script_path") && (-e "$server_data_path") && (-e "$server_media_path")) {

require "$server_script_path/library/common/initialize.pl";
$script_name = "cp-app.cgi";
$execute_type = "ste";

if ($url_script_path ne "" && $url_media_path ne "" && $script_name ne "" && $execute_type ne "") {

&initialize;

} ######### End of if statement.

} else {

print "Content-type: text/html\n\n";

print "<HTML><HEAD><TITLE>Script Execution Error</TITLE></HEAD><BODY>\n";

print "<H1>Script Execution Error</H1>The following server paths are not correct:<BR><BR>\n";

if (!(-e "$server_script_path")) {print "Server Script Path \(\$server_script_path variable\)<BR>\n";}
if (!(-e "$server_data_path")) {print "Server Data Path \(\$server_data_path variable\)<BR>\n";}
if (!(-e "$server_media_path")) {print "Server Media Path \(\$server_media_path variable\)<BR>\n";}

print "<BR>\n";
print "The root web directory of this account appears to be:<BR><BR>\n";
print "$ENV{'DOCUMENT_ROOT'}<BR><BR>";

print "</BODY></HTML>\n";

} ######### End of if statement.

#######################################################################
# Exit                                                                #
#######################################################################

exit;